# Das Handbuch zu &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Thomas
Reitelbach

    tr@erdfunkstelle.de

Deutsche Übersetzung
Stefan
Doll

    sdoll4@yahoo.com

Deutsche Übersetzung
2000
2001
2002
&Jonathan.Singer;
2005
&Kurt.Hindenburg;
&FDLNotice;
2006-08-16
1.6.2

Dies ist das Handbuch zu &konsole;.

&konsole; ist ein X-Terminalemulator für &kde;.

KDE
konsole
kdebase
command
line

## Einführung zu &konsole;

### Was ist ein Terminal?

&UNIX;-Betriebssysteme wurden ursprünglich als textbasierte Systeme entwickelt und über die Befehlszeile bedient. Mittlerweile stellen &X-Window; und &kde; eine graphische Bedienoberfläche zur Verfügung. Die Befehlszeile kann aber weiterhin benutzt werden und bleibt für viele Aufgaben die einfachste, schnellste und bequemste Lösung.

&konsole; ist ein so genannter X-Terminal-Emulator, oft auch als Terminal oder Shell bezeichnet. Es stellt einen traditionellen textorientierten Zugang zum Betriebssystem bereit, kann sich aber gleichzeitig den Bildschirm mit graphischen Anwendungen teilen. Windowsanwendern ist dieses Konzept vielleicht durch die MS-DOS Befehlszeile bekannt, die eine ähnliche Funktion bereitstellt: eine DOS-Befehlszeile unter &Windows;. (Die &UNIX;-Befehlszeile ist allerdings sehr viel mächtiger und bedienerfreundlicher als DOS.)

Dieses Dokument kann leider nicht auf die Bedienung der &UNIX;-Shell eingehen. Die vielen Möglichkeiten zu beschreiben, würde ein umfangreiches Buch erfordern. Es gibt aber viele solche Bücher, sie sind problemlos in Büchereien und Bibliotheken zu erhalten (normalerweise unter dem Stichwort Shell oder Terminal). Auch im Internet lassen sich entsprechende Anleitungen finden.Es lohnt sich den Umgang mit der Befehlszeile zu erlernen - schon mit Grundkenntnissen in diesem Bereich, lässt sich der Umgang mit Ihrem Computer deutlich angenehmer und effizienter gestalten.

### Was ist das Besondere an &konsole; ?

&konsole; ist einfach zu konfigurieren und erlaubt die Verwaltung mehrerer Shells in einem einzigen Fenster.

Mittels &konsole; können folgende Anwendungen geöffnet werden:

- &Linux;-Konsole-Sitzungen

- Shell-Sitzungen

- Terminal-Programm Screen-Sitzung

- Midnight Commander Dateimanager

- Root-Konsole Sitzung

- Root Midnight Commander Dateimanager

- Benutzerdefinierte Sitzungen

Damit Sie den Überblick behalten, können die Sitzungen umbenannt werden oder Sie können Signale (STOP, CONT, HUP, INT, TERM, KILL) an Sitzungen versenden.

Das Erscheinungsbild von &konsole; kann nach Wunsch des Benutzers gestaltet werden:

- Menüleiste und/oder Rahmen anzeigen/ausblenden

- Größe des &konsole;-Fensters, Zeichensatz, Farbschemata, und Tastaturzuordnung bestimmen

- Anordnung der Bildlaufleiste verändern oder die Bildlaufleiste abschalten

- Anordnung der Unterfensterleiste verändern oder die Unterfensterleiste abschalten

Alle Einstellungen können als Voreinstellungen gespeichert werden.

Gebräuchliche X Terminalemulatoren basieren auf zwei frei verfügbaren Programmen: xterm, dem Original, und xvt, einer leichtgewichtigeren Alternative. Die Basis für die meisten anderen X Terminalemulatoren (&eg; eterm) ist xvt.

## Bedienung von &konsole;

### Start des Programms

Beim Aufruf von &konsole; wird automatisch auch eine Anwendung (normalerweise eine &UNIX;-Shell) gestartet. Mit dieser kann sofort gearbeitet werden.

&konsole; Screen
&konsole; Screen

mit vier offenen Terminal-Sitzungen

Beim Start kann ein Tipp des Tages ...-Fenster angezeigt werden, das Hinweise zur Bedienung von &konsole; bereitstellt. Möchten Sie diese Hinweise nicht erhalten, deaktivieren Sie das Ankreuzfeld Tipps beim Start anzeigen.

### Entwicklung von Terminalemulatoren

Text, der nicht mehr im Konsole-Fenster dargestellt wird, lässt sich mit Hilfe der Bildlaufleiste wieder sichtbar machen, wenn die Option Verlaufsspeicher eingeschaltet ist. Die Bildlaufleiste lässt sich mit dem Mauszeiger, dem Mausrad und auch über Tastenkombinationen &Shift;Bild auf (eine Seite nach oben), &Shift;Bild ab (eine Seite nach unten), &Shift;Pfeil hoch (eine Zeile nach oben) und &Shift;Pfeil runter (eine Zeile nach unten) bewegen.

Darüberhinaus imitiert &konsole; die FreeBSD-Konsole, wenn die Taste scroll lock gedrückt ist. In diesem Fall werden normale Ein- und Ausgaben von der Shell angehalten, und Sie können mit den Tasten Bild auf und Bild ab, sowie mit Pfeil hoch und Pfeil runter im Verlaufsspeicher blättern.

Der Verlaufsspeicher von &konsole; kann über Verlauf Verlaufs-Einstellungen ... eingerichtet werden.

&konsole; stellt eine Reihe von Funktionalitäten für den Verlaufsspeicher bereit, die im Menü Verlauf zu finden sind.

- In der Ausgabe suchen ...

- Weitersuchen

- Frühere suchen

- Ausgabe speichern ...

- Verlaufs-Einstellungen

- Verlausspeicher leeren

- Verlausspeicher leeren & zurücksetzen

Bei &konsole; beziehen sich Verweise auf den Verlaufsspeicher auf den im Konsolefenster angezeigten Text. Die in diesem Fenster gestartete Shell (&eg; bash) verfügt ebenfalls über einen Verlauf, der aber unabhängig vom Verlaufsspeicher von &konsole; ist.

### Sitzungen

Wenn Sie sich häufig auf anderen Rechnern anmelden oder stets die selben Anwendungen im Terminal starten müssen, können Sie die Sitzungsverwaltung von &konsole; in Zusammenarbeit mit der Sitzungsverwaltung von &kde; benutzen, um diese Arbeitsabläufe zu automatisieren. Nehmen wir das folgende Beispiel an: Sie melden sich häufig zu Administrationszwecken über ssh auf dem Rechner administration an. Wahrscheinlich ist Ihnen bereits der Knopf Neue Sitzung in der Unterfensterleiste aufgefallen. Wenn Sie diesen Knopf anklicken und gedrückt halten, erscheint ein Untermenü, in dem Sie einen neuen Sitzungstyp auswählen können. Hier werden wir nun einen neuen Eintrag hinzufügen.

1. Klicken Sie auf Einstellungen Profile verwalten ...

2. Klicken Sie auf den Knopf Neues Profil.

3. Geben Sie in das erste Eingabefeld einen Namen ein. Dieser Name wird später im Menü angezeigt und die Voreinstellung für die Bezeichnung anstelle von Befehlsfenster sein, wenn Sie eine Sitzung dieses Typs öffnen.

4. Geben Sie nun einen Befehl fein, so als würden Sie diesen in einer Sitzung eingeben. Bei unserem Beispiel lautet die Eingabe: ``ssh` administration`.

5. In den anderen Karteikarten können Sie das Erscheinungsbild der Sitzung anpassen. Sie können eine andere Schrift, ein anderes Farbschema, eine andere Belegung von $`TERM` und viele andere Einstellungen für jede Sitzung festlegen.

6. Drücken Sie auf OK. Die neue Sitzung befindet sich nun in der Sitzungs-Liste im Dialog Profile verwalten.

7. Drücken Sie OK.

Jetzt sollten Sie in der Lage sein den neuen Sitzungstyp im Menü auszuwählen, wenn Sie den Knopf Neue Sitzung in der Unterfensterleiste gedrückt zu halten. Daraufhin öffnet sich eine neue Sitzung in einem &konsole;-Fenster und die zuvor angegebenen Befehle werden ausgeführt. In unserem Fall sehen Sie die Eingabeaufforderung für das Passwort der ssh-Sitzung. Wenn Sie das Passwort eingegeben haben, werden Sie auf dem anderen Rechner angemeldet. Sie können diesen Schritt umgehen, wenn Sie ssh-agent verwenden. Vielleicht möchten Sie ja das http-Protokoll eines Webservers im Netzwerk ausgeben lassen. Hierzu verwenden Sie eine Befehlszeile wie diese: ``ssh` `-f` webserver `tail` `-f` `/var/log/httpd-error.log``.

Sie können auf diese Weise auch lokale Befehle ausführen. Erstellen Sie eine Sitzung mit dem Befehl ``tail` `-f` `/var/log/messages``. Wenn Sie in diesem Fall das ausgeführte Programm beenden, wird auch die Sitzung geschlossen.

Diese Eigenschaft erweist sich als besonders bequem, wenn Sie ständig die selben Sitzungen bereits geöffnet vorfinden. &kde; kann genau dies beim Anmelden für Sie erledigen. Lassen Sie die entsprechenden Sitzungen einfach beim Abmelden von &kde; geöffnet. Sie werden dann in der &kde;-Arbeitssitzung gespeichert und so wie jede andere Anwendung bei der nächste Anmeldung in &kde; wiederhergestellt.

Sie können jeder Sitzung einen Kurzbefehl zuweisen.

### Maustasten

Dieser Abschnitt behandelt die Verwendung der Mausknöpfe für die übliche Rechtshänderbelegung. Wenn Sie eine Tastenbelegung für Linkshänder benutzten, tauschen Sie im folgenden Text Rechts und Links aus.

Linke Taste

  Ein Klick der &LMBn; wird an die Anwendung, die in der Sitzung läuft, weitergeleitet. &konsole; benutzt einen Pfeil als Mauszeiger, wenn das Anwendungsprogramm über eine Mausunterstützung verfügt. Andernfalls wird ein senkrechter Balken (ein Textzeiger) dargestellt.

  Das Bewegen der Maus (=Ziehen) bei gedrückter &LMBr; markiert einen Textabschnitt. Der ausgewählte Text wird dabei invertiert dargestellt. Mit der Funktion Kopieren im Menü Bearbeiten kann der markierte Text in die Zwischenablage kopiert und dann in &konsole; oder einer anderen Anwendung verwendet werden. Es ist außerdem möglich den Text direkt in ein anderes Anwendungsprogramm zu ziehen. Dazu muss der Text zunächst markiert werden. Anschließend wird der markierte Text angeklickt und bei gedrückter Maustaste, in das andere Programm gezogen. (Je nach &kde;-Einstellungen muss dabei noch die &Ctrl;-Taste festgehalten werden).

  Normalerweise werden Zeilenumbrüche des markierten Textes mitkopiert. Das ist sinnvoll bei Quelltexten (von Programmiersprachen) oder der Ausgabe bestimmter Befehle, aber für gewöhnlichen Text wäre eine Auswahl ohne Zeilenumbrüche günstiger. Eine solche Auswahl lässt sich durch gleichzeitiges Drücken der &Ctrl;-Taste während des Markiervorgangs erzeugen.

  Das Betätigen der &LMBn; bei gleichzeitigem Gedrückthalten der Tasten &Ctrl; und &Alt;, markiert einen Textspalte.

  Ein Doppelklick mit der &LMBn; markiert ein Wort - ein Dreifachklick markiert eine ganze Zeile.

  Wird beim Markieren der Mauszeiger auf den oberen oder unteren Rand des Textfelds bewegt, ergibt sich ein Effekt wie beim Bewegen der Bildlaufleiste. &konsole; zeigt dann Text weiter oben, bzw. weiter unten, im Verlaufsspeicher an. Dieses Rollen durch den Verlaufsspeicher endet, sobald die Mausbewegung beendet wird.

  Wird die Maustaste losgelassen, bleibt der ausgewählte Textabschnitt markiert (=invertierte Darstellung). Die Markierung wird aufgehoben, sobald die Zwischenablage verändert wird, eine Änderung des markierten Textes erfolgt oder die &LMB; betätigt wird.

  Bei Anwendungsprogrammen mit Mausunterstützung (zum Beispiel Midnight Commander) muss zusätzlich die &Shift;-Taste betätigt werden, um Text auszuwählen.

Mittlere Taste

  Klicken der &MMBn;, fügt Text aus der Zwischenablage ein. Betätigen Sie dabei die &Ctrl;-Taste, wird der Text eingefügt und an &konsole; übergeben.

  Ist lediglich eine Maus mit zwei Tasten vorhanden, kann die &MMB;, durch gleichzeitiges Betätigen der &RMBn; und &LMBn; emuliert werden.

  Wenn Sie über ein Mausrad als mittlere Taste verfügen, führt das Bewegen des Mausrads in Anwendungen, die nicht über eine Mausrad-Unterstützung verfügen, zum Blättern der Bildlaufleiste von &konsole;.

Rechte Taste

  Die Einträge, die bei einem Klick mit der &RMBn;Maustaste im Menü erscheinen, sind davon abhängig, ob die Menüleiste angezeigt wird.

  Menüleiste sichtbar: Auswahlende festlegen, Kopieren, Einfügen, Signal senden, Sitzung verselbständigen,Sitzung umbenennen ..., Lesezeichen, Einstellungen und Sitzung schließen.

  Menüleiste ausgeblendet: Menüleiste anzeigen, Auswahlende festlegen Kopieren, Einfügen, Signal senden Neue Sitzung, Sitzung verselbständigen, Sitzung umbenennen ..., Lesezeichen, Einstellungen und Sitzung schließen.

  In einer Anwendung mit Mausunterstützung erhalten Sie das Aufklappmenü durch Klicken mit der rechten Maustaste bei gedrückter Umschalt-Taste.

  Klicken mit der rechten Maustaste bei gedrückter Strg-Taste lässt das Menü Sitzung erscheinen.

### Menüleiste

Die Menüleiste befindet sich am oberen Rand des &konsole;-Fensters. Die Menüleiste kann durch Drücken von &Alt; aktiviert und wieder deaktiviert werden.

Mit Ansicht Menüleiste ausblenden kann die Anzeige der Menüleiste ausgeschaltet werden. Ist die Menüleiste ausgeblendet, lässt sich die Einstellung Menüleiste anzeigen über ein Menü erreichen, das durch Klicken mit der &RMBn; angezeigt wird. Die gleiche Funktion lässt sich durch Betätigen der Tastenkombination &Ctrl;&Alt;M erreichen.

#### Das Menü Datei

Datei Shell

  Startet eine neue Sitzung mit einem Befehlsfenster. Das Gleiche erreichen Sie über die Tastenkombination &Ctrl;&Shift;N . Näheres dazu finden Sie weiter unten.

Datei Neues Fenster

  Öffnet ein neues Fenster mit einem Befehlsfenster. Das Gleiche erreichen Sie über die Tastenkombination &Ctrl;&Shift;M . Näheres dazu finden Sie weiter unten.

Datei Neue Linux-Konsole

  Öffnet eine neue Sitzung, in der ein textbasiertes &Linux;-System emuliert wird.

  In der Datei `README.linux.console`, die dem Quelltext von &konsole; beiliegt, wird detailliert beschrieben, wie sich diese &Linux;-Konsole von einer typischen &UNIX;-Konsole unterscheidet.

Datei Neuer Midnight Commander

  Öffnet eine neue Sitzung mit dem Dateimanager Midnight Commander.

  Dieser Menüeintrag wird nur angezeigt, wenn auf Ihrem System Midnight Commander (`mc`) installiert ist.

Datei Neuer Midnight Commander für Benutzer root

  Öffnet eine neue Sitzung mit dem Dateimanager Midnight Commander als Systemverwalter. root.

  Dabei wird zunächst das Passwort für den Benutzer root abgefragt, und danach das Befehlsfensterfür den Benutzer root geöffnet. Derroot-Prompt # zeigt an, dass der Benutzer mit Systemverwalter-Privilegien arbeitet. Das ist oft notwendig. Allerdings ist Vorsicht angebracht, denn es ist dann möglich das System durch eine Fehlbedienung zu beschädigen.

  Dieser Menüeintrag wird nur angezeigt, wenn auf Ihrem System Midnight Commander (`mc`) installiert ist.

Datei Neues Befehlsfenster (Systemverwaltungsmodus)

  Öffnet eine neue Sitzung mit einem Befehlsfenster das unter dem Zugang für den Benutzer(root) läuft.

  Dabei wird zunächst das Passwort von root abgefragt und danach das Befehlsfensterfür den Benutzer root geöffnet. Der root-Prompt # zeigt an, dass der Benutzer mit root-Privilegien arbeitet. Das ist oft notwendig, wenn neue Software installiert oder andere Systemverwaltungsaufgaben durchgeführt werden müssen. Dabei ist allerdings Vorsicht angebracht, denn es ist dann leicht möglich das System durch eine Fehlbedienung zu beschädigen.

Datei Neue Sitzung des Terminal-Programms Screen

  Startet eine neue Sitzung mit dem Programm Screen, einem virtuellen Terminal-Manager. Siehe auch ``man` `screen`` .

  Dieser Menüeintrag wird nur angezeigt, wenn auf Ihrem System Screen (`screen`) installiert ist.

Datei Unterfenster schließen

  Schließt das Unterfenster und die darin aktive Sitzung.

Datei Beenden

  Beendet &konsole;, schließt alle Sitzungen und alle Programme, die von diesen Sitzungen aus gestartet wurden.

Eine neue Sitzung lässt sich auch mit einer Tastenkombination starten. Per Voreinstellung ist diese Funktion mit der Kombination &Ctrl;&Shift;N erreichbar. Es ist über Einstellungen Kurzbefehle festlegen ... auch möglich, eigene Tastenkombinationen festzulegen.

Die Liste der verfügbaren Sitzungen spiegelt die auf dem System installierten Programme wieder sowie die benutzerdefinierten Sitzungen. Die Liste der Sitzungen ist aus Gründen der Übersichtlichkeit alphabetisch sortiert.

Schließlich können Sie die Sitzungstypen anpassen und neue Sitzungstypen erstellen, indem Sie den Einstellungsdialog über den Menüeintrag Einstellungen Profile verwalten ... aufrufen.

#### Das Menü Bearbeiten

Bearbeiten Kopieren

  Kopiert den ausgewählten Text in die Zwischenablage.

&Ctrl;&Shift;V Bearbeiten Einfügen

  Fügt an der Cursor-Position Text aus der Zwischenablage ein.

&Ctrl;&Alt;S Bearbeiten Unterfenster umbenennen ...

  Öffnet ein Dialogfenster, mit dem der Name der aktuellen Sitzung geändert werden kann. Der Name wird auf dem Sitzungsreiter angezeigt.

Bearbeiten Eingabedaten an alle Sitzungen senden

  Legt fest, dass Eingaben in der aktuellen Sitzung an alle Sitzungen weitergegeben werden. Zur Erinnerung für Sie wird im Sitzungsreiter eine Fernsteuerung angezeigt, damit Sie vorsichtiger bei der Eingabe sind. Eine Eingabe wie ``rm` `-rf *`` kann gefährlich werden.

Bearbeiten Signal senden

  Signal senden - sendet das ausgewählte Signal an das aktuelle Befehlsfenster bzw. die Anwendung, die mit der neuen Sitzung gestartet wurde.

  Derzeit stehen folgende Signale zur Verfügung:

  STOP | Um einen Prozess anzuhalten
  CONT | (=Continue) Um einen angehaltenen Prozess wieder zu starten
  HUP | (=Hangup) Signalisiert dem Prozess, dass der Mutterprozess beendet wurde
  INT | Signalisiert einen Interrupt von der Tastatur
  TERM | (=Terminate) Fordert den Prozess auf zu Beenden
  KILL | Erzwingt die Prozessbeendigung
  USR1 | benutzerdefiniertes Signal 1
  USR2 | benutzerdefiniertes Signal 2

  Weitere Details sind in den entsprechenden Manual-Seiten verfügbar. Diese lassen sich mit ``man` `7 signal`` anzeigen.

&Alt;&Ctrl;U Bearbeiten Hochladen mit ZModem ...

  Versendet eine Datei über ZModem.

Bearbeiten Terminal leeren

  Löscht den gesamten Text des Sitzungsfensters.

Bearbeiten Terminal leeren & zurücksetzen

  Setzt das Sitzungsfenster zurück und löscht den Bildschirm.

#### Das Menü Ansicht

Ansicht Sitzung verselbständigen

  Öffnet die aktuelle Sitzung in einem eigenen Fenster. Der Name der Sitzung wird in der Titelleiste des Fensters angezeigt.

Ansicht Menüleiste ausblenden

  Blendet die Anzeige der Menüleiste aus

&Ctrl;&Shift;F11 Ansicht Vollbildmodus

  Wechselt zwischen Vollbildmodus und Normalgröße des Fensters.

Ansicht Auf Inaktivität überwachen

  Legt fest, dass die aktuelle Sitzung eine Meldung erzeugt, wenn sich für 10 Sekunden nichts tut. Diese Meldung besteht aus einer kleinen ausgeschalteten Glühbirne, die im Sitzungsreiter angezeigt wird. Das kann von Nutzen sein, wenn Sie gerade in einer anderen Sitzung arbeiten und auf das Beenden eines Vorgangs warten. Der Zeitraum der Inaktivität der nötig ist, um eine Meldung zu erzeugen, kann in den &konsole;-Einstellungen festgelegt werden.

Ansicht Auf Aktivität überwachen

  Legt fest, dass die aktuelle Sitzung eine Meldung erzeugt, wenn sich etwas ändert. Diese Meldung besteht aus einer leuchtenden Glühbirne, die im Sitzungsreiter angezeigt wird. Das kann nützlich sein, wenn man gerade in einer anderen Sitzung arbeitet. Die Zeit zwischen Aktion und Meldung, kann in den &konsole;-Einstellungen festgelegt werden.

Ansicht Zeichenkodierung festlegen

  Legt die Zeichenkodierung für die aktuelle Sitzung fest.

#### Das Menü Verlauf

Verlauf In der Ausgabe suchen ...

  Sucht ein Wort oder einen Textabschnitt im Verlaufsspeicher. Dabei lässt sich auf Wunsch Groß-/Kleinschreibung berücksichtigen, reguläre Ausdrücke stehen ebenfalls zur Verfügung. Auch eine Rückwärtssuche ist möglich.

Verlauf Weitersuchen

  Zur nächsten Fundstelle weitergehen.

Verlauf Frühere suchen

  Zur vorhergehenden Fundstelle zurückgehen.

Verlauf Ausgabe speichern ...

  Speichert den aktuellen Verlaufsspeicher in einer Textdatei.

Verlauf Verlaufs-Einstellungen ...

  Öffnet den Einstellungsdialog für den Verlauf, in dem Sie festlegen können, wieviele Verlaufszeilen in der Historie vorgehalten werden sollen.

Verlauf Verlaufsspeicher leeren

  Löscht den Verlaufsspeicher für die aktuelle Sitzung.

Verlauf Verlaufsspeicher leeren & zurücksetzen

  Leert den Verlaufsspeicher für die aktuelle Sitzung und setzt das Terminal zurück.

#### Das Menü Lesezeichen

Lesezeichen Lesezeichen hinzufügen

  Fügt die aktuelle Position zu den Lesezeichen hinzu.

Lesezeichen Unterfenster als Lesezeichenordner ...

  Fügt alle offenen Unterfenster als Lesezeichenordner hinzu. Es wird ein Dialog angezeigt, in dem Sie den Namen für den neuen Lesezeichenordner eingeben können.

Lesezeichen Neuer Lesezeichenordner ...

  Erzeugt einen neue Ordner in der Lesezeichen-Liste.

Lesezeichen Lesezeichen bearbeiten

  Bearbeitet die Liste der Lesezeichen.

Die Lesezeichen werden am Ende des Menüs angezeigt. Durch Auswahl eines Lesezeichens wechselt die Sitzung in den betreffende Ordner.

Sie können den Lesezeichen-Editor verwenden, um manuell URLs wie ssh://user@host oder telnet://host einzutragen, die das Anmelden auf anderen Rechnern ermöglichen.

#### Das Menü Einstellungen

Einstellungen Profil wechseln

  Ändert das verwendete Profil für die aktuelle Sitzung.

Einstellungen Aktuelles Profil bearbeiten ...

  Ändert die Profil-Einstellungen für die aktuelle Sitzung.

Einstellungen Profile verwalten ...

  Öffnet einen Einrichtungsdialog zum Einrichten der Profile. Hier können Sie neue Profile hinzufügen, Profile löschen und ändern. Außerdem können Sie das Standardprofil festlegen.

Einstellungen Kurzbefehle festlegen ...

  Tastenkürzel für &konsole;-Befehle einrichten.

Einstellungen Benachrichtigungen festlegen ...

  Einrichten der Benachrichtigungen für &konsole;.

#### Das Menü Hilfe

Hilfe Handbuch zu Konsole

  Öffnet das Inhaltsverzeichnis dieses Dokuments.

Hilfe Probleme oder Wünsche berichten ...

  Probleme oder Wünsche berichten ... für &konsole;.

Hilfe Über Konsole

  Informationen über den Autor von &konsole;

Hilfe Über KDE

  Informationen über das &kde;-Projekt

### Unterfensterleiste

Die Unterfensterleiste erlaubt die Arbeit mit mehreren Sitzungen, die an das selbe &konsole;-Fenster gebunden sind.

Bild mit Unterfensterleiste
Bild mit Unterfensterleiste

&konsole; mit vier offenen Sitzungen in der Unterfensterleiste am unteren Fensterrand.

Mit Einstellungen Aktuelles Profil bearbeiten ... Unterfenster können Sie die Unterfensterleiste an eine andere Position verlegen: Oberhalb der Terminalfenster oder Unterhalb der Terminalfenster. Die Unterfensterleiste kann durch Auswahl von Unterfensterleiste immer anzeigen immer angezeigt werden, oder durch Unterfensterleiste bei Bedarf anzeigen nur bei Notwendigkeit angezeigt werden.

Mit dem Knopf am linken Rand der Unterfensterleiste können Sie eine Reihe von Aktionen durchführen.

- Klicken Sie auf den Knopf, um eine neue Standard-Sitzung zu starten.

- Wenn Sie den Knopf gedrückt halten, erscheint eine Aufklappmenü, in dem Sie verschiedene Sitzungen auswählen können.

- Ein Klick mit der rechten Maustaste auf den Knopf (oder einen leeren Bereich der Unterfensterleiste) öffnet ein Auklappmenü, in dem Sie verschiedene Einstellung festlegen können.

  - Unterfensterleiste: Ausblenden, Oben, Unten.

  - Unterfenster-Optionen: Text & Symbole, Nur Text, Nur Symbole.

  - Dynamisches Ausblenden blendet die Unterfensterleiste aus, wenn nur eine Sitzung geöffnet ist.

  - Automatische Größenänderung von Unterfenstern bewirkt eine automatische Anpassung der Unterfenster an die Breite der Unterfensterleiste.

Auf der rechten Seite der Unterfensterleiste befindet sich ein Knopf, der die aktuelle Sitzung schließt. Dieser Knopf ist inaktiv, wenn nur eine Sitzung geöffnet ist.

Ein Klick mit der rechten Maustaste auf einen Unterfensterreiter öffnet ein weiteres Menü.

- Sitzung verselbständigen

- Sitzung umbenennen ...

- Auf Aktivität überwachen

- Auf Inaktivität überwachen

- Eingabedaten an alle Sitzungen senden

- Farbe für Unterfenster ...

- Zu Unterfenster wechseln ...

- Sitzung schließen

### Befehlszeilenparameter

Wird &konsole; von der Befehlszeile gestartet, lässt sich das Verhalten des Programms über verschiedene Parametern beeinflussen.

`--help`

  Zeigt eine Liste mit den verfügbaren Parametern an.

`-e` `Befehl`

  Führt `Befehl` aus anstelle eines Befehlsfensters.

  Alle Parameter, die nach `Befehl` angegeben werden, werden an `Befehl` übergeben, nicht an &konsole;.

`--keytab` `Datei`

  Startet &konsole; mit der angegebenen .keytab-Datei und der dadurch festgelegten Tastaturbelegung.

`--keytabs`

  Liste aller verfügbaren keytabs.

`--ls`

  Startet das Programm mit einer Login-Shell. Die genaue Bedeutung dieses Parameters hängt von Ihrem System ab - üblicherweise wird dadurch `~/.profile` oder `~/.bash_profile` ausgeführt. Wenn Ihnen das nichts sagt, kümmern Sie sich einfach nicht darum, aber behalten Sie es im Hinterkopf, für den Fall, dass Sie es später einmal benötigen.

`--name` `Name`

  Bestimmt den Namen der im Fenstertitel angezeigt wird.

`--noclose`

  Verhindert, dass &konsole; beendet wird, wenn im Sitzungsfenster der Befehl ``exit`` eingegeben wird.

`--noframe`

  Startet &konsole; ohne Rahmen

`--nohist`

  Verhindert das Speichern von Text, der über den Bildschirmrand läuft.

`--nomenubar`

  Startet &konsole; mit ausgeblendeter Menüleiste.

`--noresize`

  Abschalten der Größenänderung des Terminal-Fensters.

`--noscrollbar`

  Startet &konsole; ohne Bildlaufleiste.

`--notabbar`

  Startet &konsole; mit ausgeblendeter Unterfensterleiste.

`--noxft`

  Startet &konsole; ohne Xft-Kantenglättung. Sehr kleine Schriften können mit eingeschalteter Kantenglättung schwierig zu lesen sein.

`--profile` `Datei`

  Startet &konsole; mit einem gespeicherten Satz von Sitzungen.

`--profiles`

  Listet alle verfügbaren Profile auf.

`--schema` `Name` | `Datei`

  Startet &konsole; mit dem angegebenen Schema „Name“ oder dem Schema in „Datei“. und dem dort festgelegten Erscheinungsbild.

`--schemata`

  Listet alle verfügbaren Schemata auf.

`--script`

  Schaltet erweiterte &DCOP; &Qt; Funktionen ein.

`-T` `Titel`

  Festlegen des Fenstertitels.

`--tn` `Terminalkennung`

  Weist der Umgebungsvariable TERM den angegebenen Wert zu. Näheres dazu finden Sie in ``man` `xterm`` .

`--type` `Sitzungstyp`

  Startet eine Sitzung des angegebenen Typs, anstelle des voreingestellten Typs.

`--types`

  Listet alle verfügbaren Sitzungstypen auf.

`--vt_sz` `SSxZZ`

  Startet ein Terminalfenster mit SS Spalten und ZZ Zeilen.

`--workdir` `Startordner`

  Startet im Arbeitsordner `Startordner`.

Beispiele:

    &percnt; konsole --vt_sz 90x25 --nohist

Startet ein &konsole;-Fenster mit 90 Spalten und 25 Zeilen und ohne Verlaufsspeicher

    &percnt; konsole --noclose -e echo_args Hallo! Danke, dass Sie  verwen&konsole;den.

Startet ein &konsole;-Fenster mit dem Text Hallo! Danke, dass Sie &konsole; verwenden.

`echo_args` ist ein einfaches Skript für die Bash:

    #!/bin/bash
    echo $*

&konsole; versteht auch allgemeine &Qt;- und &kde;-Parameter:

`--help-qt`

  Zeigt &Qt;-spezifische Parameter an

Die folgenden Parameter für &Qt; haben keine Auswirkung auf &konsole;:

`--fn`, `--font` `Schriftname`

  Legt die Schriftart für die Anwendung fest.

`--bg`, `--background` `Farbe`

  Legt die Standard-Hintergrundfarbe fest.

`--fg`, `--foreground` `Farbe`

  Legt die Standard-Vordergrundfarbe fest

`--btn`, `--button` `Farbe`

  Legt die Standardfarbe für Knöpfe fest

`--help-kde`

  Zeigt &kde;-spezifische Parameter an

`--help-all`

  Zeigt alle Parameter an

`--author`

  Zeigt die Namen der Autoren an

`-v,--version`

  Anzeige der Versionsnummer

`--license`

  Anzeige der Lizenz unter der &konsole; steht

### &DCOP;

Eine Einführung in &DCOP; und die Verwendung von `dcop` finden Sie im Abschnitt des Benutzerhandbuchs über &DCOP;.

## Mitwirkende und Copyright

Seit &kde; 3.4 wird &konsole; von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; betreut.

Zuvor wurde &konsole; betreut von &Waldo.Bastian; &Waldo.Bastian.mail;

Die Anwendung &konsole; Copyright © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Dieses Dokument wurde erstellt von &Jonathan.Singer;&Jonathan.Singer.mail;

Dieses Dokument wurde für &kde; 3.4 von &Kurt.Hindenburg; &Kurt.Hindenburg.mail; aktualisiert.

Konvertiert zu DocBook SGML von &Mike.McBride; und &Lauri.Watts;

Deutsche Übersetzung von Stefan Doll stefan@laugenweck.de

&underFDL; &underGPL;

## &konsole; auf anderen Systemen als &Linux;

Informationen zur Kompilierung von &konsole; auf anderen Systemen (außer &Linux;) finden sich in der Datei `README.ports`, die den Quelltexten von &konsole; beiliegt. Die Datei enthält eine Liste mit Experten für bestimmte Systeme (Tru64, &Solaris;, OpenBSD) und ruft Freiwillige für andere &UNIX;-Systeme dazu auf, sich an dem Projekt zu beteiligen.

Weiterführende Informationen finden Sie auf diesen Webseiten:

- &kde; auf FreeBSD

- &kde; auf &Solaris;

&documentation.index;